Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp
Class MidiPort

    java.lang.Object
      org.linuxsampler.lscp.MidiPort

    public class MidiPort

extends java.lang.Object

This class is used to provide detailed information about a MIDI port.

Constructor Summary
`MidiPort()`

Method Summary
`void` | `addParameter(Parameter prm)` Adds additional parameter to this MIDI port.
`Parameter[]` | `getAdditionalParameters()` Gets `Parameter` array with the additional parameters of this MIDI port.
`Parameter[]` | `getAllParameters()` Gets a `Parameter` array providing all parameters of this MIDI port (including `NAME` parameter).
`java.lang.String` | `getName()` Gets the name of this MIDI port.
`Parameter<java.lang.String>` | `getNameParameter()` Gets the `NAME` parameter.
`boolean` | `hasAdditionalParameters()` Determines whether this MIDI port has additional parameters.
`void` | `setNameParameter(Parameter<java.lang.String> name)` Sets the `NAME` parameter.
`java.lang.String` | `toString()` Returns the name of this MIDI port.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MidiPort

    public MidiPort()

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of this MIDI port.

  Returns:
    The name of this MIDI port.

### getNameParameter

    public Parameter<java.lang.String> getNameParameter()

  Gets the `NAME` parameter.

  Returns:
    A `Parameter` instance.

### setNameParameter

    public void setNameParameter(Parameter<java.lang.String> name)

  Sets the `NAME` parameter.

  Parameters:
    `name` - A `Parameter` instance.

### addParameter

    public void addParameter(Parameter prm)

  Adds additional parameter to this MIDI port.

  Parameters:
    `prm` - The additional parameter to be added.

### getAdditionalParameters

    public Parameter[] getAdditionalParameters()

  Gets `Parameter` array with the additional parameters of this MIDI port.

  Returns:
    `Parameter` array with the additional parameters of this MIDI port.

### hasAdditionalParameters

    public boolean hasAdditionalParameters()

  Determines whether this MIDI port has additional parameters.

  Returns:
    `true` if this MIDI port has additional parameters, `false` otherwise.

### getAllParameters

    public Parameter[] getAllParameters()

  Gets a `Parameter` array providing all parameters of this MIDI port (including `NAME` parameter).

  Returns:
    A `Parameter` array providing all parameters of this MIDI port.

### toString

    public java.lang.String toString()

  Returns the name of this MIDI port.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The name of this MIDI port.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.